# Class HTTPSamplerBaseConverter

AbstractCollectionConverter
org.apache.jmeter.save.converters.TestElementConverter
org.apache.jmeter.protocol.http.sampler.HTTPSamplerBaseConverter

public class HTTPSamplerBaseConverter extends TestElementConverter
Class for XStream conversion of HTTPResult

## Constructor Summary

Constructors
Constructor
Description
`HTTPSamplerBaseConverter(Mapper arg0)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canConvert(Class arg0)`
`static String`
`getVersion()`
Returns the converter version; used to check for possible incompatibilities
`Object`
`unmarshal(HierarchicalStreamReader reader, UnmarshallingContext context)`
Override TestElementConverter; convert HTTPSamplerBase to merge the two means of providing file names into a single list.

### Methods inherited from class TestElementConverter

`marshal`

## Constructor Details

### HTTPSamplerBaseConverter

public HTTPSamplerBaseConverter(Mapper arg0)

## Method Details

### getVersion

public static String getVersion()
Returns the converter version; used to check for possible incompatibilities

Returns:
  the version of this component

### canConvert

public boolean canConvert(Class arg0)

Overrides:
  `canConvert` in class `TestElementConverter`

### unmarshal

public Object unmarshal(HierarchicalStreamReader reader, UnmarshallingContext context)
Override TestElementConverter; convert HTTPSamplerBase to merge the two means of providing file names into a single list.

Overrides:
  `unmarshal` in class `TestElementConverter`